clang 10.0.0git

Public Types | Public Member Functions | Public Attributes | List of all members
clang::ento::mpi::Request Class Reference

`#include "/work/www-prereleases/10.0.0/rc1/docsbuild/clang/lib/StaticAnalyzer/Checkers/MPI-Checker/MPITypes.h"`

Collaboration diagram for clang::ento::mpi::Request:
[legend]

## Public Types
enum | State : unsigned char { Nonblocking, Wait }

## Public Member Functions
| Request (State S)
void | Profile (llvm::FoldingSetNodeID &Id) const
bool | operator== (const Request &ToCompare) const

## Public Attributes
const State | CurrentState

## Detailed Description

Definition at line 27 of file MPITypes.h.

## Member Enumeration Documentation

## ◆ State

enum clang::ento::mpi::Request::State : unsigned char

Enumerator
Nonblocking |
Wait |

Definition at line 29 of file MPITypes.h.

## Constructor & Destructor Documentation

## ◆ Request()

clang::ento::mpi::Request::Request | ( | State | S | ) |
| inline

Definition at line 31 of file MPITypes.h.

## Member Function Documentation

## ◆ operator==()

bool clang::ento::mpi::Request::operator== | ( | const Request & | ToCompare | ) | const
| inline

Definition at line 37 of file MPITypes.h.

References CurrentState.

## ◆ Profile()

void clang::ento::mpi::Request::Profile | ( | llvm::FoldingSetNodeID & | Id | ) | const
| inline

Definition at line 33 of file MPITypes.h.

References CurrentState.

## Member Data Documentation

## ◆ CurrentState

const State clang::ento::mpi::Request::CurrentState

Definition at line 41 of file MPITypes.h.

Referenced by clang::ento::mpi::MPIChecker::checkDoubleNonblocking(), operator==(), Profile(), and clang::ento::mpi::MPIBugReporter::reportUnmatchedWait().

The documentation for this class was generated from the following file:

- lib/StaticAnalyzer/Checkers/MPI-Checker/MPITypes.h